Subject: Re: Review of quota-06 (Modified by Brian Korver)

From: Brian Korver <[email-masked]>
Date: Mon, 25 Apr 2005 10:35:20 -0700

Julian,

Do you want to suggest something to use for the "single additional error
code to cover the storage media full case"?

-brian
[email-masked]

On Apr 24, 2005, at 3:01 AM, Julian Reschke wrote:
> Brian Korver wrote:
>> Sure, no problem.
>
> Brian,
>
> any news on when you'll be able to produce a new draft?
>
> Best regards, Julian
>

---

From: Julian Reschke <[email-masked]>
Date: Mon, 25 Apr 2005 21:50:22 +0200

> code to cover the storage media full case"?

Hi Brian,

there are actually (at least) two options:

- just clarify that DAV:quota-not-exceeded should not be used if it 
actually was a physical disk limit that caused the request to fail, or

- define a separate precondition.

Here's a proposal for the latter:

Preconditions:

   (DAV:quota-not-exceeded): the allocated quota MUST NOT be exceeded
   by the request.

   (DAV:sufficient-disk-space): there is sufficient physical space to
   execute the request.

Implementation note: some client may be be able to take advantage of the 
different precondition codes when mapping to operating system status 
codes, such as E_NOSPC and E_DQUOT in NFS (see RFC3530, Section 12).

Best regards, Julian

-- 
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760